%TABLE 7.8
%Objective function and gradient evaluation M-file for Example 7.3

% File name: ObjAndGrad7_3.m
function [f, gf] = ObjAndGrad7_3(x)

% f returns value of objective function
% gf returns objective function gradient

% Re-name design variables x
x1 = x(1); x2 = x(2);

% Evaluate objective function
f = (x1-10)^3 + (x2-20)^3;

% compute gradient of objective function
if nargout > 1
gf(1,1) = 3*(x1-10)^2;
gf(2,1) = 3*(x2-20)^2;
end
