%TABLE 7.7
%Constrained minimizer fmincon M-file for Example 7.3

% File name: Example7_3
% Constrained minimization with gradientgradient expressions available
% Calls ObjAndGrad17_3 and ConstAndGrad7_3

clear all

% set options 
options = optimset ('Display', 'off', 'LargeScale', 'off', ...
                            'GradObj', 'on', 'GradConstr', 'on', ...
                            'TolCon', 1e-8, 'TolX', 1e-8);

% Set bounds for variables
Lb = [13; 0]; Ub = [100; 100];

% Set initial design
x0 = [20.1; 5.84];
[x,FunVal, ExitFlag, Output] = fmincon('ObjAndGrad7_3',x0,[],[],[],[],Lb, Ub,'ConstAndGrad7_3',options)
